## org.eclipse.uml2.uml
Interface TemplateSignature

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  RedefinableTemplateSignature

    public interface TemplateSignature

extends Element

A representation of the model object 'Template Signature'. A template signature bundles the set of formal template parameters for a templated element.

The following features are supported:

- `Parameter`
- `Owned Parameter`
- `Template`

See Also:
  `UMLPackage.getTemplateSignature()`

Method Summary
`TemplateParameter` `createOwnedParameter()` Creates a new `TemplateParameter` and appends it to the 'Owned Parameter' containment reference list
`TemplateParameter` `createOwnedParameter(org.eclipse.emf.ecore.EClass eClass)` Creates a new `TemplateParameter` and appends it to the 'Owned Parameter' containment reference list
`org.eclipse.emf.common.util.EList<TemplateParameter>` `getOwnedParameters()` Returns the value of the 'Owned Parameter' containment reference list.
`org.eclipse.emf.common.util.EList<TemplateParameter>` `getParameters()` Returns the value of the 'Parameter' reference list.
`TemplateableElement` `getTemplate()` Returns the value of the 'Template' container reference.
`void` `setTemplate(TemplateableElement value)` Sets the value of the '`Template`' container reference
`boolean` `validateOwnElements(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Parameters must own the elements they parameter or those elements must be owned by the element being templated.

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getParameters

    org.eclipse.emf.common.util.EList<TemplateParameter> getParameters()

  Returns the value of the 'Parameter' reference list. The list contents are of type `TemplateParameter`. The ordered set of all formal template parameters for this template signature.

  Returns:
    the value of the 'Parameter' reference list.
  See Also:
    `UMLPackage.getTemplateSignature_Parameter()`

### getTemplate

    TemplateableElement getTemplate()

  Returns the value of the 'Template' container reference. It is bidirectional and its opposite is '`Owned Template Signature`'.

  This feature subsets the following features:

  - '`Owner`'
  The element that owns this template signature.

  Returns:
    the value of the 'Template' container reference.
  See Also:
    `setTemplate(TemplateableElement)`, `UMLPackage.getTemplateSignature_Template()`, `TemplateableElement.getOwnedTemplateSignature()`

### setTemplate

    void setTemplate(TemplateableElement value)

  Sets the value of the '`Template`' container reference.

  Parameters:
    `value` - the new value of the 'Template' container reference.
  See Also:
    `getTemplate()`

### getOwnedParameters

    org.eclipse.emf.common.util.EList<TemplateParameter> getOwnedParameters()

  Returns the value of the 'Owned Parameter' containment reference list. The list contents are of type `TemplateParameter`. It is bidirectional and its opposite is '`Signature`'.

  This feature subsets the following features:

  - '`Owned Element`'
  - '`Parameter`'
  The formal template parameters that are owned by this template signature.

  Returns:
    the value of the 'Owned Parameter' containment reference list.
  See Also:
    `UMLPackage.getTemplateSignature_OwnedParameter()`, `TemplateParameter.getSignature()`

### createOwnedParameter

    TemplateParameter createOwnedParameter(org.eclipse.emf.ecore.EClass eClass)

  Creates a new `TemplateParameter` and appends it to the 'Owned Parameter' containment reference list.

  Parameters:
    `eClass` - The Ecore class of the `TemplateParameter` to create.
  Returns:
    The new `TemplateParameter`.
  See Also:
    `getOwnedParameters()`

### createOwnedParameter

    TemplateParameter createOwnedParameter()

  Creates a new `TemplateParameter` and appends it to the 'Owned Parameter' containment reference list.

  Returns:
    The new `TemplateParameter`.
  See Also:
    `getOwnedParameters()`

### validateOwnElements

    boolean validateOwnElements(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                java.util.Map<java.lang.Object,java.lang.Object> context)

  Parameters must own the elements they parameter or those elements must be owned by the element being templated. templatedElement.ownedElement->includesAll(parameter.parameteredElement - parameter.ownedParameteredElement)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.